RequestViewHTTP (Apache JMeter dist API)
Description: declaration: package: org.apache.jmeter.protocol.http.visualizers, class: RequestViewHTTP

Package org.apache.jmeter.protocol.http.visualizers

# Class RequestViewHTTP

java.lang.Object
org.apache.jmeter.protocol.http.visualizers.RequestViewHTTP

All Implemented Interfaces:
  `RequestView`

@AutoService(RequestView.class) public class RequestViewHTTP extends Object implements RequestView
Specializer panel to view a HTTP request parsed

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RequestViewHTTP()`
  Pane to view HTTP request sample in view results tree

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clearData()`
  Clear all data in panel
  `static String`
  `decodeQuery(String query)`
  Decode a query string
  `String`
  `getLabel()`
  Get the label.
  `JPanel`
  `getPanel()`
  Get the panel
  `static Map<String,String[]>`
  `getQueryMap(String query)`
  `void`
  `init()`
  Init the panel
  `void`
  `setSamplerResult(Object objectResult)`
  Put the result bean to display in panel

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RequestViewHTTP

    public RequestViewHTTP()
    Pane to view HTTP request sample in view results tree

- ## Method Details

  - ### init

    public void init()
    Description copied from interface: `RequestView`
    Init the panel
    Specified by:
      `init` in interface `RequestView`

  - ### clearData

    public void clearData()
    Description copied from interface: `RequestView`
    Clear all data in panel
    Specified by:
      `clearData` in interface `RequestView`

  - ### setSamplerResult

    public void setSamplerResult(Object objectResult)
    Description copied from interface: `RequestView`
    Put the result bean to display in panel
    Specified by:
      `setSamplerResult` in interface `RequestView`
    Parameters:
      `objectResult` - result to display

  - ### getQueryMap

    public static Map<String,String[]> getQueryMap(String query)
    Parameters:
      `query` - query to parse for param and value pairs
    Returns:
      Map params and values

  - ### decodeQuery

    public static String decodeQuery(String query)
    Decode a query string
    Parameters:
      `query` - to decode
    Returns:
      the decoded query string, if it can be url-decoded. Otherwise the original query will be returned.

  - ### getPanel

    public JPanel getPanel()
    Description copied from interface: `RequestView`
    Get the panel
    Specified by:
      `getPanel` in interface `RequestView`
    Returns:
      the panel viewer

  - ### getLabel

    public String getLabel()
    Description copied from interface: `RequestView`
    Get the label. Use as name for bottom tab
    Specified by:
      `getLabel` in interface `RequestView`
    Returns:
      the label's panel